<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:fox="http://xml.apache.org/fop/extensions" xmlns:foa="http://fabio">
  <xsl:import href="BookAtts.xsl"></xsl:import>
  <xsl:output method="xml" encoding="UTF-8" indent="yes"></xsl:output>
  <xsl:variable name="dots">l</xsl:variable>
  <xsl:variable name="circles">m</xsl:variable>
  <xsl:variable name="squares">n</xsl:variable>
  <xsl:template match="/">
    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <fo:layout-master-set>
        <fo:simple-page-master margin-left="2cm" page-width="210mm" margin-right="2cm" margin-bottom="4cm" master-name="Cover" margin-top="4cm" page-height="297mm">
          <fo:region-body ></fo:region-body >
        </fo:simple-page-master>
        <fo:simple-page-master margin-left="2cm" margin-right="4cm" page-width="210mm" margin-bottom="2cm" margin-top="2cm" master-name="Left" page-height="297mm">
          <fo:region-after extent="2cm"></fo:region-after>
          <fo:region-body  margin-bottom="2.5cm" margin-top="2.5cm"></fo:region-body >
          <fo:region-before extent="2cm" region-name="left-header"></fo:region-before>
        </fo:simple-page-master>
        <fo:simple-page-master margin-left="4cm" margin-right="2cm" page-width="210mm" margin-bottom="2cm" master-name="Right" margin-top="3cm" page-height="297mm">
          <fo:region-after extent="2cm"></fo:region-after>
          <fo:region-body  margin-bottom="2.5cm" margin-top="2.5cm"></fo:region-body >
          <fo:region-before extent="2cm" region-name="right-header"></fo:region-before>
        </fo:simple-page-master>
        <fo:page-sequence-master master-name="mySeq">
          <fo:repeatable-page-master-alternatives>
            <fo:conditional-page-master-reference master-reference="Cover" page-position="first"/>
            <fo:conditional-page-master-reference master-reference="Right" odd-or-even="even"/>
            <fo:conditional-page-master-reference master-reference="Left" odd-or-even="odd"/>
          </fo:repeatable-page-master-alternatives>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <fo:page-sequence  master-reference="mySeq" format="I" letter-value="alphabetic">
        <fo:static-content flow-name="right-header">
          <xsl:apply-templates select="document('dark_novel.xml')/novel/header1"/>
        </fo:static-content>
        <fo:static-content flow-name="left-header">
          <xsl:apply-templates select="document('dark_novel.xml')/novel/header2"/>
        </fo:static-content>
        <fo:static-content flow-name="xsl-region-before">
        </fo:static-content>
        <fo:static-content flow-name="xsl-region-after">
          <xsl:apply-templates select="document('dark_novel.xml')/novel/footer"/>
        </fo:static-content>
        <fo:flow  flow-name="xsl-region-body">
          <xsl:apply-templates select="document('dark_novel.xml')/novel/front"/>
          <xsl:apply-templates select="document('dark_novel.xml')/novel/body"/>
        </fo:flow >
      </fo:page-sequence >
    </fo:root>
  </xsl:template>
  <xsl:template match="novel/body/chapter/title" foa:name="Chapter_Title" foa:class="block" foa:group="paragraph">
    <fo:block foa:name="Chapter_Title" foa:group="paragraph" xsl:use-attribute-sets=" h3">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="novel/front/author" foa:name="Author" foa:class="block" foa:group="paragraph">
    <fo:block foa:name="Author" foa:group="paragraph" xsl:use-attribute-sets=" h2">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="novel/front/title" foa:name="Title" foa:class="block" foa:group="paragraph">
    <fo:block foa:name="Title" foa:group="paragraph" xsl:use-attribute-sets="h1">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="novel/header2/author" foa:name="headerAuthor" foa:class="block" foa:group="paragraph">
    <fo:block foa:name="headerAuthor" foa:group="paragraph" xsl:use-attribute-sets=" head2">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="novel/footer" foa:name="Footer" foa:class="block" foa:group="paragraph">
    <fo:block foa:name="Footer" foa:group="paragraph" xsl:use-attribute-sets=" Text">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="novel/header1/title" foa:name="headerTitle" foa:class="block" foa:group="paragraph">
    <fo:block foa:name="headerTitle" foa:group="paragraph" xsl:use-attribute-sets=" head1">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="novel/body/chapter/paragraph" foa:name="Paragraph" foa:class="block" foa:group="paragraph">
    <fo:block foa:name="Paragraph" foa:group="paragraph" xsl:use-attribute-sets=" Text">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="novel/front/revision-list" foa:name="Rev_List" foa:class="list" foa:group="list">
    <fo:list-block foa:name="Rev_List" foa:group="list" xsl:use-attribute-sets=" list">
      <xsl:apply-templates/>
    </fo:list-block>
  </xsl:template>
  <xsl:template match="novel/front/revision-list/item" foa:name="Rev_List" foa:class="list" foa:group="list" foa:type="ord-list-item">
    <fo:list-item foa:name="Rev_List" foa:group="list">
      <fo:list-item-label foa:name="Rev_List" foa:group="list" end-indent="label-end()">
        <fo:block foa:name="Rev_List" foa:group="list" xsl:use-attribute-sets=" ListIem">
          <xsl:number format="I)"/>
        </fo:block>
      </fo:list-item-label>
      <fo:list-item-body foa:name="Rev_List" foa:group="list" start-indent="body-start()">
        <fo:block foa:name="Rev_List" foa:group="list" xsl:use-attribute-sets=" ListIem">
          <xsl:apply-templates/>
        </fo:block>
      </fo:list-item-body>
    </fo:list-item>
  </xsl:template>
  <xsl:template match="novel/footer/page" foa:name="pageNumber" foa:class="inline" foa:group="page-number">
    <fo:page-number foa:name="pageNumber" foa:group="page-number" xsl:use-attribute-sets=" bold">
    </fo:page-number>
  </xsl:template>
</xsl:stylesheet>
