<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:foa="http://fabio">
  <xsl:template match="letter/body/closingFormula/signature" foa:name="DigitalSignature" foa:group="image" foa:class="image" >
    <IMG src="{@href}" class="image" ALT="">
      <xsl:apply-templates/>
    </IMG>
  </xsl:template>
  <xsl:template match="//logo" foa:name="Logo" foa:group="image" foa:class="image" >
    <IMG src="{@href}" class="mage" ALT="">
      <xsl:apply-templates/>
    </IMG>
  </xsl:template>
  <xsl:template match="//customer/personal/address/street" foa:name="CustStreet" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/internet/page" foa:name="CustWebPage" foa:group="paragraph" foa:class="block" >
    <DIV class="EndCustomer">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//service" foa:name="Services" foa:group="paragraph" foa:class="block" >
    <DIV class="Service">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/telephone/home" foa:name="CustHomeTel" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="letter/body/closingText" foa:name="CloseText" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="name" foa:name="CustomerName" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//left" foa:name="LeftSide" foa:group="paragraph" foa:class="block" >
    <DIV class="eftStyle">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="letter/body/openingFormulas" foa:name="OpenFormula" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//letter/body/customer" foa:name="Customer" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates select="$customerFile/customers/customer"/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/telephone/businnes" foa:name="CustBusTel" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/address/zip" foa:name="CustZip" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//service/access" foa:name="ServAcc" foa:group="paragraph" foa:class="block" >
    <DIV class="ServName">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="letter/body/accountInformation/accountStatements" foa:name="AccountStatements" foa:group="paragraph" foa:class="block" >
    <DIV class="StatementListBlock">
      <xsl:apply-templates select="$customerFile/customers/transactions/account"/>
    </DIV>
  </xsl:template>
  <xsl:template match="letter/body/accountInformation" foa:name="AccountInfo" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="customers/customer" foa:name="FirstCustomer" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/telephone/mobile" foa:name="CustMobTel" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//service/name" foa:name="SerName" foa:group="paragraph" foa:class="block" >
    <DIV class="ServNameNavy">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/address/city" foa:name="CustCity" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/address/country" foa:name="CustCountry" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/internet/email" foa:name="CustEMail" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//header" foa:name="Header" foa:group="paragraph" foa:class="block" >
    <DIV class="Centered">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="letter/body/openingText" foa:name="OpenText" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="letter/body/closingFormula" foa:name="ClosingFormula" foa:group="paragraph" foa:class="block" >
    <DIV class="Signature">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="//customer/personal/address/state" foa:name="CustState" foa:group="paragraph" foa:class="block" >
    <DIV class="Normal">
      <xsl:apply-templates/>
    </DIV>
  </xsl:template>
  <xsl:template match="letter/body/accountInformation/accountNumber" foa:name="AccountNumber" foa:group="emphasis" foa:class="inline" >
    <EM class="red">
      <xsl:apply-templates select="$customerFile//accounts/account/number"/>
    </EM>
  </xsl:template>
  <xsl:template match="letter/body/openingFormulas/customerName" foa:name="ReceiverName" foa:group="emphasis" foa:class="inline" >
    <EM class="bold_italic">
      <xsl:apply-templates select="$customerFile//customers/customer/personal/name"/>
    </EM>
  </xsl:template>
  <xsl:template match="customers/customer/personal/name" foa:name="InlineName" foa:group="emphasis" foa:class="inline" >
    <EM class="italic">
      <xsl:apply-templates/>
    </EM>
  </xsl:template>
  <xsl:template match="letter/body/openingText/emph" foa:name="EmphText" foa:group="emphasis" foa:class="inline" >
    <EM class="bold_italic">
      <xsl:apply-templates/>
    </EM>
  </xsl:template>
  <xsl:template match="//link" foa:name="ExternalLink" foa:group="ext-link" foa:class="inline" >
    <A href="{@href}" class="link">
      <xsl:apply-templates/>
    </A>
  </xsl:template>
  <xsl:template match="customers/transactions/account" foa:name="TransactionTable" foa:group="simple-table" foa:class="table" >
    <TABLE WIDTH="100%" class="Table_1">
      <COLGROUP>
        <COL width="21%"/>
        <COL width="40%"/>
        <COL width="22%"/>
        <COL width="16%"/>
      </COLGROUP>
      <xsl:apply-templates/>
    </TABLE>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-row" foa:class="table-row" >
    <TR class="Row">
      <xsl:apply-templates/>
    </TR>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/date[@class='header']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell_1">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/description[@class='header']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell_1">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/type[@class='header']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell_1">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/amount[@class='header']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell_1">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/date[@class='value']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell_2">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/description[@class='value']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/type[@class='value']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell_2">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/amount[@class='value']" foa:name="TransactionTable" foa:group="simple-table" foa:type="table-cell" foa:class="table-cell" >
    <TD class="Cell">
      <xsl:apply-templates/>
    </TD>
  </xsl:template>
</xsl:stylesheet>
