<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:fox="http://xml.apache.org/fop/extensions" xmlns:xi="http://www.w3.org/2001/Xinclude">
  <xsl:import href="statementsAtts.xsl"></xsl:import>
  <xsl:param name="customer"/>
  <xsl:include href="StatementsVars.xsl"></xsl:include>
  <xsl:output method="xml" encoding="UTF-8" indent="yes"></xsl:output>
  <xsl:strip-space elements="row transaction transaction row transaction row row stock entry abbr-transaction"></xsl:strip-space>
  <xsl:template match="/">
    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <fo:layout-master-set>
        <fo:simple-page-master margin-left="0.5cm" margin-right="0.5cm" page-width="210mm" margin-bottom="0.5cm" master-name="letter" margin-top="2cm" page-height="297mm">
          <fo:region-start extent="5cm"></fo:region-start>
          <fo:region-after extent="3cm"></fo:region-after>
          <fo:region-body  margin-left="5cm" margin-right="1cm" margin-bottom="3cm" margin-top="3cm"></fo:region-body >
          <fo:region-before extent="3cm"></fo:region-before>
          <fo:region-end extent="1cm"></fo:region-end>
        </fo:simple-page-master>
        <fo:page-sequence-master master-name="statementLetter">
          <fo:repeatable-page-master-reference master-reference="letter"/>
        </fo:page-sequence-master>
      </fo:layout-master-set>
      <fo:page-sequence  master-reference="statementLetter">
        <fo:static-content flow-name="xsl-region-before">
          <xsl:apply-templates select="document('common/letter.xml')/letter/header"/>
        </fo:static-content>
        <fo:static-content flow-name="xsl-region-end">
        </fo:static-content>
        <fo:static-content flow-name="xsl-region-after">
        </fo:static-content>
        <fo:static-content flow-name="xsl-region-start">
          <xsl:apply-templates select="document('common/letter.xml')/letter/left"/>
        </fo:static-content>
        <fo:flow  flow-name="xsl-region-body">
          <xsl:apply-templates select="document('common/letter.xml')/letter/body"/>
        </fo:flow >
      </fo:page-sequence >
    </fo:root>
  </xsl:template>
  <xsl:template match="letter/body/closingFormula/signature">
    <fo:external-graphic src="url({@href})" xsl:use-attribute-sets=" image">
      <xsl:apply-templates/>
    </fo:external-graphic>
  </xsl:template>
  <xsl:template match="//logo">
    <fo:external-graphic src="url({@href})" xsl:use-attribute-sets="image">
      <xsl:apply-templates/>
    </fo:external-graphic>
  </xsl:template>
  <xsl:template match="//customer/personal/address/street">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/internet/page">
    <fo:block xsl:use-attribute-sets=" EndCustomer">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//service">
    <fo:block xsl:use-attribute-sets=" Service">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/telephone/home">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="letter/body/closingText">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="name">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//left">
    <fo:block xsl:use-attribute-sets="LeftStyle">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="letter/body/openingFormulas">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//letter/body/customer">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates select="$customerFile/customers/customer"/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/telephone/businnes">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/address/zip">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//service/access">
    <fo:block xsl:use-attribute-sets=" ServName">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="letter/body/accountInformation/accountStatements">
    <fo:block xsl:use-attribute-sets=" StatementListBlock">
      <xsl:apply-templates select="$customerFile/customers/transactions/account"/>
    </fo:block>
  </xsl:template>
  <xsl:template match="letter/body/accountInformation">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="customers/customer">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/telephone/mobile">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//service/name">
    <fo:block xsl:use-attribute-sets=" ServNameNavy">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/address/city">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/address/country">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/internet/email">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//header">
    <fo:block xsl:use-attribute-sets=" Centered">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="letter/body/openingText">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="letter/body/closingFormula">
    <fo:block xsl:use-attribute-sets=" Signature">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="//customer/personal/address/state">
    <fo:block xsl:use-attribute-sets=" Normal">
      <xsl:apply-templates/>
    </fo:block>
  </xsl:template>
  <xsl:template match="letter/body/accountInformation/accountNumber">
    <fo:inline xsl:use-attribute-sets=" red">
      <xsl:apply-templates select="$customerFile//accounts/account/number"/>
    </fo:inline>
  </xsl:template>
  <xsl:template match="letter/body/openingFormulas/customerName">
    <fo:inline xsl:use-attribute-sets=" bold_italic">
      <xsl:apply-templates select="$customerFile//customers/customer/personal/name"/>
    </fo:inline>
  </xsl:template>
  <xsl:template match="customers/customer/personal/name">
    <fo:inline xsl:use-attribute-sets=" italic">
      <xsl:apply-templates/>
    </fo:inline>
  </xsl:template>
  <xsl:template match="letter/body/openingText/emph">
    <fo:inline xsl:use-attribute-sets=" bold_italic">
      <xsl:apply-templates/>
    </fo:inline>
  </xsl:template>
  <xsl:template match="//link">
    <fo:basic-link external-destination="{@href}" xsl:use-attribute-sets=" link">
      <xsl:apply-templates/>
    </fo:basic-link>
  </xsl:template>
  <xsl:template match="customers/transactions/account">
    <fo:table table-layout="fixed" width="375.0pt" xsl:use-attribute-sets=" Table_1">
      <fo:table-column column-number="1" column-width="80pt"/>
      <fo:table-column column-number="2" column-width="150pt"/>
      <fo:table-column column-number="3" column-width="85pt"/>
      <fo:table-column column-number="4" column-width="60pt"/>
      <fo:table-body>
        <xsl:apply-templates/>
      </fo:table-body>
    </fo:table>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction">
    <fo:table-row xsl:use-attribute-sets=" Row">
      <xsl:apply-templates/>
    </fo:table-row>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/date[@class='header']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell_1">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/description[@class='header']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell_1">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/type[@class='header']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell_1">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/amount[@class='header']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell_1">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/date[@class='value']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell_2">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/description[@class='value']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/type[@class='value']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell_2">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
  <xsl:template match="customers/transactions/account/transaction/amount[@class='value']">
    <fo:table-cell column-number="{position()}" xsl:use-attribute-sets=" Cell">
      <fo:block>
        <xsl:apply-templates/>
      </fo:block>
    </fo:table-cell>
  </xsl:template>
</xsl:stylesheet>
